leaf.validation.resource_not_defined=Resource {0} not defined. Please check resource configuration, and make sure this resource is properly defined prior to use.
leaf.application.sourcecode.attribute_missing=The record which {0}={1}, not define the {2} attribute.
leaf.application.sourcecode.node_missing=Can not find the record which {0}={1}!
leaf.application.features.cstm.illegal_operation_for_root=Illegal operation {0} for root Element.
leaf.application.features.cstm.illegal_position_for_operation=Can not do {1} at {0} positon.
leaf.application.features.cstm.illegal_operation={0} operation is Illegal.
leaf.application.features.cstm.re_order_child_count=Parent has {0} childs\uff0cbut re_order just define {1} childs, please check it.
leaf.service.ws.invoker_error=An error happen on Call web service endPoint {0}, please check it.Detail Message:{1}.
leaf.security.access_check_rule_error=Access check rule {0} is fail